name: dotnet-push
description: "Push a nuget package with dotnet."
inputs:
  nupkg:
    description: "Path to the .nupkg to push."
    required: true
  url:
    description: "URL of the nuget repository to push to."
    required: true
    default: ${{ github.server_url }}/_registry/nuget/${{ github.repository_owner }}/index.json
  apiKey:
    description: "ApiKey of the nuget repository to push to."
    required: true
    default: ${{ github.token }}
  options:
    description: "Additional options when pushing the .nupkg."
    required: false
runs:
  using: "composite"
  steps:
  - name: "Push the NuGet package."
    uses: act/common/dotnet/dotnet@master
    with:
      command: nuget push ${{ inputs.nupkg }} -s ${{ inputs.url }} -k ${{ inputs.apiKey }} ${{ inputs.options }} 